package com.sonic.lion.domain.input;

import com.sonic.lion.utils.MD5Utils;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@Data
public class PayssionGetOrderDetailReq {


    private String api_key;

    /**
     * 交易id
     */
    private String transaction_id ;
    /**
     * 订单号
     */
    private String order_id ;

    private String api_sig;


    public String getApi_sig(String secret_key) {
        /**
         *     1、将api_key, transaction_id, order_id以及应用的sercret_key字符串，以 “|”为分隔符串联成一个字符串 api_key|transaction_id|order_id|secret_key
         *     2、将第一步骤串联起来的的字符串经md5加密生成最终的notify_sig（小写） 具体代码示例：
         */
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append(api_key);
        stringBuilder.append("|");
//        stringBuilder.append(transaction_id);
//        stringBuilder.append("|");
        stringBuilder.append(order_id);
        stringBuilder.append("|");
        stringBuilder.append(secret_key);
        log.info("原始字符串:{}",stringBuilder);
        return MD5Utils.stringToMD5(stringBuilder.toString()).toLowerCase();
    }

}
